abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
    dnes 05:11 | Komunita

    #HACKUJBRNO 2024, byly zveřejněny výsledky a výstupy hackathonu města Brna nad otevřenými městskými daty, který se konal 13. a 14. dubna 2024.

    Ladislav Hagara | Komentářů: 0
    včera 17:55 | IT novinky

    Společnost Volla Systeme stojící za telefony Volla spustila na Kickstarteru kampaň na podporu tabletu Volla Tablet s Volla OS nebo Ubuntu Touch.

    Ladislav Hagara | Komentářů: 3
    včera 17:44 | IT novinky

    Společnost Boston Dynamics oznámila, že humanoidní hydraulický robot HD Atlas šel do důchodu (YouTube). Nastupuje nová vylepšená elektrická varianta (YouTube).

    Ladislav Hagara | Komentářů: 0
    včera 15:11 | Nová verze

    Desktopové prostředí LXQt (Lightweight Qt Desktop Environment, Wikipedie) vzniklé sloučením projektů Razor-qt a LXDE bylo vydáno ve verzi 2.0.0. Přehled novinek v poznámkách k vydání.

    Ladislav Hagara | Komentářů: 2
    včera 14:22 | IT novinky

    Nejvyšší soud podpořil novináře Českého rozhlasu. Nařídil otevřít spor o uchovávání údajů o komunikaci (data retention). Uvedl, že stát odpovídá za porušení práva EU, pokud neprovede řádnou transpozici příslušné směrnice do vnitrostátního práva.

    Ladislav Hagara | Komentářů: 0
    včera 05:33 | Zajímavý článek

    Minulý týden proběhl u CZ.NIC veřejný test aukcí domén. Včera bylo publikováno vyhodnocení a hlavní výstupy tohoto testu.

    Ladislav Hagara | Komentářů: 22
    včera 04:44 | Nová verze

    Byla vydána nová verze 3.5.0 svobodné implementace protokolu RDP (Remote Desktop Protocol) a RDP klienta FreeRDP. Přehled novinek v ChangeLogu. Opraveno bylo 6 bezpečnostních chyb (CVE-2024-32039, CVE-2024-32040, CVE-2024-32041, CVE-2024-32458, CVE-2024-32459 a CVE-2024-32460).

    Ladislav Hagara | Komentářů: 0
    včera 04:11 | Nová verze

    Google Chrome 124 byl prohlášen za stabilní. Nejnovější stabilní verze 124.0.6367.60 přináší řadu oprav a vylepšení (YouTube). Podrobný přehled v poznámkách k vydání. Opraveno bylo 22 bezpečnostních chyb. Vylepšeny byly také nástroje pro vývojáře.

    Ladislav Hagara | Komentářů: 0
    včera 02:22 | Nová verze

    Byla vydána nová verze 9.3 z Debianu vycházející linuxové distribuce DietPi pro (nejenom) jednodeskové počítače. Přehled novinek v poznámkách k vydání. Novinkou je vlastní repozitář DietPi APT.

    Ladislav Hagara | Komentářů: 0
    16.4. 18:44 | Nová verze

    Byl vydán Mozilla Firefox 125.0.1, první verze z nové řady 125. Přehled novinek v poznámkách k vydání, poznámkách k vydání pro firmy a na stránce věnované vývojářům. Vypíchnout lze podporu kodeku AV1 v Encrypted Media Extensions (EME). Řešeny jsou rovněž bezpečnostní chyby. Nový Firefox 125.0.1 je již k dispozici také na Flathubu a Snapcraftu.

    Ladislav Hagara | Komentářů: 0
    KDE Plasma 6
     (66%)
     (11%)
     (2%)
     (21%)
    Celkem 516 hlasů
     Komentářů: 4, poslední 6.4. 15:51
    Rozcestník

    Dotaz: DHCP server + DHCRELAY

    27.4.2007 19:53 Michal
    DHCP server + DHCRELAY
    Přečteno: 839×
    Zdravim. Uz delsi dobu se snazim rozchodit DHCP server na jednom stroji a DHCRELAY na druhem stroji, ktery bude predavat dotaz prvnimu.

    DHCP server
    na eth0 net 10.10.10.2
    na eth1 lokal 192.168.1.1

    v /etc/default/dhcp3-server
    INTERFACES="eth1"
    v /etc/dhcp3/dhcpd.conf
    authoritative;
    deny unknown-clients;
    default-lease-time 86400;
    max-lease-time 86400;          
    option domain-name-servers 192.168.10.2;
    
    subnet 192.168.10.0 netmask 255.255.255.0 {
    range 192.168.10.2 192.168.10.254;
    option routers 192.168.10.1;
    option broadcast-address 192.168.10.1;
    
    host TEST {hardware ethernet 00:E0:4C:BD:97:C9; fixed-address 192.168.10.2;}
    
    }
    sit 192.168.10.0/24 je routovana na stroj 192.168.1.2, kde potrebuji rozchodit dhcrelay.

    DHCRELAY
    /etc/default/dhcp-relay
    INTERFACES="eth1"
    DHCP_SERVERS="192.168.1.1"
    OPTIONS=""
    
    Problem nastava uz pri spusteni dhcpserveru
    Starting DHCP server: dhcpd3 failed to start - check syslog for diagnostics.
    V logu je hlaska
    No subnet declaration for eth1 (192.168.1.1).
    Da se spustit DHCP server, aby nekontroloval to co ma na sitovkach ??

    Odpovědi

    vasek125 avatar 27.4.2007 20:03 vasek125 | skóre: 30 | Mladá Boleslav
    Rozbalit Rozbalit vše Re: DHCP server + DHCRELAY
    Mrkni se do /etc/init.d/dhcpd nebo jak se to jmenuje v tve distribuci a nastav si pro ktere sitovky to bude, vim, ze v debianu byla chyba, ze INTERFACES si ten skript nebral, protoze tam byl nekde bug, alespon v te me verzi. Takze pokud mate treba ten 192.168.1.10 na eth1 192.168.1.1 na eth0 tak dhcpd -q eth1, jinak napravit skript.
    27.4.2007 20:27 Michal
    Rozbalit Rozbalit vše Re: DHCP server + DHCRELAY
    Pouzivam debian. Nevis nahodou co presne si v tom souboru /etc/init.d/dhcp3-server menil. Zmenil jsem
    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q $INTERFACES
    

    na
    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q eth1
    

    to nepomohlo. Porad to same. DHCP ma potiz v tom ze ma nastavene rozdelovani IP 192.168.10.X. A na zadne sitovce tento rozsah nema nahozeny.

    Vypis celeho souboru
    #!/bin/sh
    #
    # $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
    #
    
    test -f /usr/sbin/dhcpd3 || exit 0
    
    # It is not safe to start if we don't have a default configuration...
    if [ ! -f /etc/default/dhcp3-server ]; then
            echo "/etc/default/dhcp3-server does not exist! - Aborting..."
            echo "Run 'dpkg-reconfigure dhcp3-server' to fix the problem."
            exit 0
    fi
    
    # Read init script configuration (so far only interfaces the daemon
    # should listen on.)
    . /etc/default/dhcp3-server
    
    DHCPDPID=/var/run/dhcpd.pid
    
    case "$1" in
            start)
                    echo -n "Starting DHCP server: "
                    start-stop-daemon --start --quiet --pidfile $DHCPDPID \
                            --exec /usr/sbin/dhcpd3 -- -q $INTERFACES
                    sleep 2
    
                    if [ -f "$DHCPDPID" ] && ps h `cat "$DHCPDPID"` >/dev/null; then
                            echo "dhcpd3."
                    else
                            echo "dhcpd3 failed to start - check syslog for diagnostics."
                            exit 1
                    fi
                    ;;
            stop)
                    echo -n "Stopping DHCP server: dhcpd3"
                    start-stop-daemon --stop --quiet --pidfile $DHCPDPID
                    echo "."
                    ;;
            restart | force-reload)
                    $0 stop
                    sleep 2
                    $0 start
                    if [ "$?" != "0" ]; then
                            exit 1
                    fi
                    ;;
            *)
                    echo "Usage: /etc/init.d/dhcp3-server {start|stop|restart|force-reload}"
                    exit 1
    esac
    
    exit 0
    
    

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.